body {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: center;
    margin: 0;
    height: 100vh;

    font-family: Lora, Georgia, 'Times New Roman', Times, serif;
}

header {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: flex-end;
    flex-shrink: 0;
    align-self: stretch;

    font-family: Lexend, system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
    background-color: #1d3985;
    color: white;
    padding: 20px 100px;
}

h1 {
    margin: 0;
    align-self: flex-end;
}

h1 a {
    color: white;
    text-decoration: none;
}

nav {
    align-self: flex-end;
}

nav a {
    color: white;
    text-decoration: none;
    padding: 6px;
}

/* Fix transition so it transitions out well too */
nav a:hover {
    transition: color, 200ms;
    color: #d6d6d6;
}

h2 {
    font-family: Lexend, system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
}

main {
    width: 800px;
    margin-top: 30px;
    margin-bottom: 30px;
}

a {
    color: #6e94ff;
}

a:hover {
    transition: color, 200ms;
    color: #5779d4;
}

#home {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

#home-text {
    width: 450px;
    margin-right: 40px;
}

#image {
    width: 300px;
    height: 300px;
    flex-shrink: 0;

    border-radius: 300px;
    background: url(../images/alex.jpeg) lightgray 50% / cover no-repeat;
}

section {
    border: 1px #dcdcdc solid;
    border-radius: 20px;
    padding: 0px 20px 10px;

    margin-bottom: 20px;
}

footer {
    display: flex;
    height: 40px;
    padding: 0 15px;
    align-items: center;
    gap: 10px;
    flex-shrink: 0;
    align-self: stretch;

    background-color: #717171;
    color: #A7A7A7;
}
